FairMQSocketNN Class Referencefinal
Inheritance diagram for FairMQSocketNN:
[legend]
Collaboration diagram for FairMQSocketNN:
[legend]

## Public Member Functions

| FairMQSocketNN (const std::string &type, const std::string &name, const std::string &id="", FairMQTransportFactory *fac=nullptr)
| FairMQSocketNN (const FairMQSocketNN &)=delete
FairMQSocketNN | operator= (const FairMQSocketNN &)=delete
std::string | GetId () override
bool | Bind (const std::string &address) override
bool | Connect (const std::string &address) override
int | Send (FairMQMessagePtr &msg, const int timeout=-1) override
int | Receive (FairMQMessagePtr &msg, const int timeout=-1) override
int64_t | Send (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, const int timeout=-1) override
int64_t | Receive (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, const int timeout=-1) override
int | GetSocket () const
void | Close () override
void | SetOption (const std::string &option, const void *value, size_t valueSize) override
void | GetOption (const std::string &option, void *value, size_t *valueSize) override
void | SetLinger (const int value) override
int | GetLinger () const override
void | SetSndBufSize (const int value) override
int | GetSndBufSize () const override
void | SetRcvBufSize (const int value) override
int | GetRcvBufSize () const override
void | SetSndKernelSize (const int value) override
int | GetSndKernelSize () const override
void | SetRcvKernelSize (const int value) override
int | GetRcvKernelSize () const override
unsigned long | GetBytesTx () const override
unsigned long | GetBytesRx () const override
unsigned long | GetMessagesTx () const override
unsigned long | GetMessagesRx () const override
Public Member Functions inherited from FairMQSocket
| FairMQSocket (FairMQTransportFactory *fac)
FairMQTransportFactory * | GetTransport ()
void | SetTransport (FairMQTransportFactory *transport)

## Static Public Member Functions

static void | Interrupt ()
static void | Resume ()
static int | GetConstant (const std::string &constant)

The documentation for this class was generated from the following files:

- fairmq/nanomsg/FairMQSocketNN.h
- fairmq/nanomsg/FairMQSocketNN.cxx

privacy